Summary:      Disposable Soft Synth Interface
Name:         dssi
Version:      0.9.1
Release:      1%{?dist}
License:      LGPL
Group:        Applications/Multimedia
URL:          http://dssi.sourceforge.net/
Source0:      %{name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: gcc-c++, ladspa-devel, alsa-lib-devel, liblo-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: liblo-devel, libsndfile-devel, libsamplerate-devel
# for the examples
BuildRequires: qt-devel

%description
Disposable Soft Synth Interface (DSSI, pronounced "dizzy") is a
proposal for a plugin API for software instruments (soft synths) with
user interfaces, permitting them to be hosted in-process by Linux
audio applications. Think of it as LADSPA-for-instruments, or
something comparable to a simpler version of VSTi.

%package devel
Summary:  Libraries, includes, etc to develop DSSI applications
Group:    Development/Libraries
Requires: dssi = %{version}-%{release}

%description devel
Libraries, include files, etc you can use to develop DSSI 
based applications.


%prep
%setup -q

%build
%configure 
%{__make} PREFIX=%{_prefix}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README doc
%{_bindir}/*
%{_libdir}/dssi/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/dssi.h
%{_libdir}/pkgconfig/dssi.pc

%changelog
* Mon Apr 17 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
- Updated to 0.9.1

* Mon May 30 2005 Eddy Nigg <eddy_nigg@startcom.org>
- more changes for StartCom Linux 4.0.x

* Thu Aug 19 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4-1
- initial build.
- include fluidsynth sources, dssi needs them for the fluidsynth-dssi
  example (it relies on more than the standard fluidsynth API)
